Name:           anaconda-webui
Version:        34
Release:        1.20250508064844355971.main.60.g05d07cc5%{?dist}
Summary:        Anaconda installer Web interface
License:        LGPL-2.1-or-later AND MIT
URL:            https://github.com/rhinstaller/%{name}

Source0:        anaconda-webui-34.60.g05d07cc5.tar.xz
BuildArch:      noarch
BuildRequires:  libappstream-glib
BuildRequires:  make
BuildRequires:  gettext
# Needed for the unitdir macro
BuildRequires: systemd-rpm-macros

%global anacondacorever 0

%if 0%{?fedora} > 41
%global anacondacorever 42.5
%endif

%global cockpitver 275

%define _unitdir /usr/lib/systemd/system

# Unpin cockpit-storaged when anaconda-webui get's migrated to Patternfly 6
Requires: cockpit-bridge >= %{cockpitver}
Requires: cockpit-ws >= %{cockpitver}
Requires: anaconda-core  >= %{anacondacorever}
# Firefox dependency needs to be specified there as cockpit web-view does not have a hard dependency on Firefox as
# it can often fall back to a diferent browser. This does not work in the limited installer
# environment, so we need to make sure Firefox is available. Exclude on RHEL, only Flatpak version will be there.
%if ! 0%{?rhel}
Requires: firefox
%endif
%if 0%{?fedora}
Requires: fedora-logos
%endif
BuildRequires: desktop-file-utils

Provides: bundled(npm(@patternfly/patternfly)) = 6.1.0
Provides: bundled(npm(@patternfly/react-core)) = 6.1.0
Provides: bundled(npm(@patternfly/react-icons)) = 6.2.2
Provides: bundled(npm(@patternfly/react-log-viewer)) = 6.1.0
Provides: bundled(npm(@patternfly/react-styles)) = 6.2.2
Provides: bundled(npm(@patternfly/react-table)) = 6.1.0
Provides: bundled(npm(@patternfly/react-tokens)) = 6.2.2
Provides: bundled(npm(attr-accept)) = 2.2.5
Provides: bundled(npm(dequal)) = 2.0.3
Provides: bundled(npm(file-selector)) = 2.1.2
Provides: bundled(npm(focus-trap)) = 7.6.2
Provides: bundled(npm(js-tokens)) = 4.0.0
Provides: bundled(npm(lodash)) = 4.17.21
Provides: bundled(npm(loose-envify)) = 1.4.0
Provides: bundled(npm(memoize-one)) = 5.2.1
Provides: bundled(npm(object-assign)) = 4.1.1
Provides: bundled(npm(prop-types)) = 15.8.1
Provides: bundled(npm(react-dom)) = 18.3.1
Provides: bundled(npm(react-dropzone)) = 14.3.8
Provides: bundled(npm(react-is)) = 16.13.1
Provides: bundled(npm(react)) = 18.3.1
Provides: bundled(npm(scheduler)) = 0.23.2
Provides: bundled(npm(tabbable)) = 6.2.0
Provides: bundled(npm(throttle-debounce)) = 5.0.2
Provides: bundled(npm(tslib)) = 2.8.1

%description
Anaconda installer Web interface

%prep
%setup -q -n anaconda-webui

%build
# Nothing to build

%install
%make_install PREFIX=/usr
appstream-util validate-relax --nonet %{buildroot}/%{_datadir}/metainfo/*

desktop-file-install --dir=%{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/extlinks.desktop
desktop-file-install --dir=%{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/anaconda-gnome-control-center.desktop

%check
exit 0
# We have some integration tests, but those require running a VM, so that would
# be an overkill for RPM check script.

%files
%dir %{_datadir}/cockpit/anaconda-webui
%doc README.rst
%license LICENSE dist/index.js.LEGAL.txt
%{_datadir}/cockpit/anaconda-webui/logo.svg
%{_datadir}/cockpit/anaconda-webui/qr-code-feedback.svg
%{_datadir}/cockpit/anaconda-webui/index.js.LEGAL.txt
%{_datadir}/cockpit/anaconda-webui/index.html
%{_datadir}/cockpit/anaconda-webui/index.js.gz
%{_datadir}/cockpit/anaconda-webui/index.js.map
%{_datadir}/cockpit/anaconda-webui/index.css.gz
%{_datadir}/cockpit/anaconda-webui/index.css.map
%{_datadir}/cockpit/anaconda-webui/manifest.json
%{_datadir}/metainfo/org.cockpit-project.anaconda-webui.metainfo.xml
%{_datadir}/cockpit/anaconda-webui/po.*.js.gz
%dir %{_datadir}/anaconda/firefox-theme
%dir %{_datadir}/anaconda/firefox-theme/default
%dir %{_datadir}/anaconda/firefox-theme/default/chrome
%{_datadir}/anaconda/firefox-theme/default/user.js
%{_datadir}/anaconda/firefox-theme/default/chrome/userChrome.css
%dir %{_datadir}/anaconda/firefox-theme/live
%dir %{_datadir}/anaconda/firefox-theme/live/chrome
%{_datadir}/anaconda/firefox-theme/live/user.js
%{_datadir}/anaconda/firefox-theme/live/chrome/userChrome.css
%dir %{_datadir}/anaconda/firefox-theme/extlink
%{_datadir}/anaconda/firefox-theme/extlink/user.js
%{_libexecdir}/anaconda/webui-desktop
%{_libexecdir}/anaconda/firefox-ext
%{_datadir}/applications/extlinks.desktop
%{_datadir}/applications/anaconda-gnome-control-center.desktop
%{_unitdir}/webui-cockpit-ws.service


# The changelog is automatically generated and merged
%changelog
* Thu May 08 2025 Packit <hello@packit.dev> - 34-1.20250508064844355971.main.60.g05d07cc5
- cockpit-ci: Update container to 2025-05-03 (Cockpit Project)
- infra: bump stylelint from 16.18.0 to 16.19.1 in the stylelint group (dependabot[bot])
- Makefile: Update Cockpit lib to 4fd28cd74d471a2254b72848e017e15a (Cockpit Project)
- tests: ensure that reclaim checkbox is selected before going to reclaim dialog (Katerina Koukiou)
- Update pixel references (Katerina Koukiou)
- storage: css: removed workaround for making hints black (Katerina Koukiou)
- storage: fix media css code (Katerina Koukiou)
- test/run: adjust the order of cases so we can run other scenario with cockpit-pr (Katerina Koukiou)
- build: stop requiring cockpit-storaged with Patternfly 5 (Katerina Koukiou)
- cockpit integration: Change alert to banner, restyle to PF6 (Garrett LeSage)
- Clean up build.js: PF4 hack not needed anymore (Katerina Koukiou)
- tests: pull in cockpit from the project copr (Katerina Koukiou)
- Remove odd border around wizard (Garrett LeSage)
- Fix installation detection border (Garrett LeSage)
- Fix Fedora branding (Adam Kankovsky)
- Center align the loading component (Katerina Koukiou)
- Remove the default margin and radius from the main container (Katerina Koukiou)
- test: update mountpoint test for new Select PF6 (Adam Kankovsky)
- Change isDisabled to isAriaDisabled for accessibility (Adam Kankovsky)
- tests: Update css selectors (Adam Kankovsky)
- Manual css token changes (Adam Kankovsky)
- Update Footer to ActionListGroups and PageSection fixup (Adam Kankovsky)
- Using class-name-updater for stylesheets porting to PF6 (Adam Kankovsky)
- Port Select to PF6 implementation (Adam Kankovsky)
- HelperText and icon prop manual fix (Adam Kankovsky)
- pf6 codemods autofix (Adam Kankovsky)
- Change cockpit to version after porting to PF6 (Adam Kankovsky)
- Port patternfly version to 6 (Adam Kankovsky)
- Anaconda needs latest pykickstart but image refresh is currently blocked on kernel regression (Katerina Koukiou)
- docs: add documentation on Anaconda Web UI testing integration with Fedora QA (Katerina Koukiou)
- infra: bump the eslint group with 3 updates (dependabot[bot])
- po: Update from Fedora Weblate (GitHub Workflow)
- tests: reuse code that allows us to exit cockpit storage mode (Katerina Koukiou)
- tests: reuse code that allows us to enter cockpit storage mode (Katerina Koukiou)
- tests: add check for reformatting existing encrypted partition in cockpit-storage (Katerina Koukiou)
- tests: expect the reclaim space checkbox to be auto-selected in testDeletePartition (Katerina Koukiou)
- infra: bump react-dom from 18.2.0 to 18.3.1 (dependabot[bot])
- cockpit-ci: Update container to 2025-04-19 (Cockpit Project)
- infra: bump sass from 1.83.1 to 1.86.3 (dependabot[bot])
- infra: trigger efi runs as well when testing composes (Katerina Koukiou)
- tests: allow combined scenarios for cross project testing (Katerina Koukiou)
- tests: clean up fstab as well when removing the /var mountpoint (Katerina Koukiou)
- po: Update from Fedora Weblate (GitHub Workflow)
